Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render
Interface RendererConfig.RendererConfigParser

All Known Implementing Classes:
  AFPRendererConfig.AFPRendererConfigParser, BitmapRendererConfig.BitmapRendererConfigParser, IFRendererConfig.IFRendererConfigParser, Java2DRendererConfig.Java2DRendererConfigParser, PCLRendererConfig.PCLRendererConfigParser, PDFRendererConfig.PDFRendererConfigParser, PNGRendererConfig.PNGRendererConfigParser, PSRendererConfig.PSRendererConfigParser, TIFFRendererConfig.TIFFRendererConfigParser, TxtRendererConfig.TxtRendererConfigParser

Enclosing interface:
  RendererConfig

    public static interface RendererConfig.RendererConfigParser

Implementations of this interface parse the relevant renderer-specific configuration data within the FOP-conf and create a `RendererConfig`.

Method Summary
`RendererConfig` | `build(FOUserAgent userAgent, org.apache.avalon.framework.configuration.Configuration rendererConfiguration)` Builds the object that contains the renderer configuration data.
`java.lang.String` | `getMimeType()` The MIME type of the renderer.

Method Detail

### build

    RendererConfig build(FOUserAgent userAgent,
                         org.apache.avalon.framework.configuration.Configuration rendererConfiguration)
                         throws FOPException

  Builds the object that contains the renderer configuration data.

  Parameters:
    `userAgent` - the user agent
    `rendererConfiguration` - the Avalon config object for parsing the data
  Returns:
    the configuration data object
  Throws:
    `FOPException` - if an error occurs while parsing the fop conf

### getMimeType

    java.lang.String getMimeType()

  The MIME type of the renderer.

  Returns:
    the mime type

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2017 The Apache Software Foundation. All Rights Reserved.